@media (max-width: 991px) {
  .hero-content h1 {
    font-size: 40px;
  }
  .navbar-collapse {
    background: rgba(0, 0, 0, 0.8);
    padding: 15px;
    border-radius: 10px;
  }
  .navbar-collapse .btn.btn-yellow {
    margin-bottom: 10px;
  }
  .section-heading h2 {
    font-size: 28px;
  }
  .about-content h2 {
    font-size: 28px;
  }
  .projects-badge {
    left: 10px;
    bottom: 10px;
  }
  .main-heading {
    font-size: 28px;
  }

  .highlight-image {
    margin-top: 20px;
    height: 300px;
  }
  .promo-card {
    margin-top: 30px;
  }
  .projectSwiper {
    padding-bottom: 40px !important;
  }
  .projects-section,
  .about-us-section,
  .highlights-section,
  .services-section,
  .amenities-section,
  .videos-section,
  .testimonial-section,
  .get-in-touch-wrapper {
    padding: 30px 0;
  }
}

@media (max-width: 767px) {
  .carousel-item {
    min-height: inherit;
    height: 600px;
    padding-top: 100px;
  }
  .hero-content {
    align-items: start;
  }
  .hero-content h1 {
    font-size: 22px;
  }
  .hero-content p {
    font-size: 12px;
  }
  .hero-badge {
    font-size: 12px;
    padding: 8px 10px;
  }
  .hero-tags span {
    padding: 8px 10px;
    font-size: 12px;
  }
  .stats-bar .col-6 {
    margin-bottom: 15px;
  }
  .about-content {
    text-align: center;
  }

  .section-top-label {
    justify-content: center;
  }

  .about-content h2 {
    font-size: 24px;
  }

  .highlights-wrapper {
    padding: 25px;
  }

  .main-heading {
    font-size: 24px;
  }

  .highlight-card h3 {
    font-size: 28px;
  }
  .promo-content h3 {
    font-size: 30px;
  }

  .cta-box {
    flex-direction: column;
    align-items: flex-start;
  }
  .video-thumb img {
    height: 200px;
  }
  .testimonial-section::before,.testimonial-section::after{display: none;}
}
@media (max-width: 576px) {
  .contact-box {
    padding: 15px;
  }
  .contact-content h3 {
    font-size: 16px;
  }
  .highlight-card {
    padding: 15px;
  }
  .highlight-card h3 {
    font-size: 15px;
  }
  .company-icon-box {
    width: 34px;
    height: 34px;
  }
  .company-icon-box img {
    width: 70%;
  }

  .service-card {
    padding: 10px;
  }
  .service-icon-box {
    width: 30px;
    height: 30px;
  }
  .badge-custom {
    font-size: 9px;
    padding: 5px;
  }
  .service-title {
    font-size: 12px;
    margin-top: 10px;
  }
  .service-card p {
    font-size: 12px;
  }
  .btn-yellow {
    padding: 10px 15px;
  }
  .left-title {
    font-size: 40px;
  }
  .projects-badge {
    left: 0;
    bottom: 75px;
    right: 0;
    margin: auto;
    width: 120px;
  }

  .promo-card {
    height: auto;
  }
  .promo-content {
    top: 0;
  }
  .highlight-card h4 {
    font-size: 14px;
  }
  .highlight-card p {
    font-size: 12px;
  }
  .carousel-control-prev {
    left: -15px;
  }
  .carousel-control-next {
    right: -15px;
  }
}

@media (min-width: 1600px) {
  .promo-content h3 {
    font-size: 38px;
  }

  .promo-content h3 span {
    font-size: 54px;
  }
  .about-us-section .section-heading h2,
  .get-in-touch-wrapper .section-heading h2 {
    font-size: 28px;
  }
}
